Error Entries in Error Console for RSS Subscriptions When Feeds Have No New Messages

RESOLVED INVALID

Status

MailNews Core
Feed Reader
RESOLVED INVALID
6 years ago
6 years ago

People

(Reporter: David E. Ross, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

6 years ago
Created attachment 689560 [details]
Screen shot of RSS feed subscriptions, highlighting "The Mozilla Thunderbird Blog"

Mozilla/5.0 (Windows NT 5.1; rv:17.0) Gecko/17.0 Thunderbird/17.0

I get both error and message entries in Error Console for RSS feeds to which I am subscribed if those feeds have no new messages.
(Reporter)

Comment 1

6 years ago
The Error Console error entry for "The Mozilla Thunderbird Blog" was:
Timestamp: 12/6/12 9:02:49 PM
Error: no element found
Source File: http://blog.mozilla.org/thunderbird/feed/
Line: 1

The message entry was:
2012-12-06 21:02:49	Feeds	INFO	downloaded: Update: Blogs & News Feeds/The Mozilla Thunderbird Blog -> http://blog.mozilla.com/thunderbird/feed/. There are no new articles for this feed.

Comment 2

6 years ago
the former is a gecko network message about a poorly constructed html file and the latter is an info saying the server has responded with a not changed LAST-MODIFIED timestamp to indicate they have a new file.  no bug here.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → INVALID
(Reporter)

Comment 3

6 years ago
Regarding the Thunderbird RSS, the URI changed from HTTP to HTTPS since I subscribed.  I have corrected this.  

However, the Web page at <http://www.rossde.com/> and its RSS feed URI <http://www.rossde.com/feed.xml> both validate via W3C.  In the Error Console, launching Thunderbird gives the error:

Timestamp: 12/7/12 1:42:12 PM
Error: no element found
Source File: http://www.rossde.com/feed.xml
Line: 1
Status: RESOLVED → REOPENED
Resolution: INVALID → ---

Comment 4

6 years ago
those happen all the time, and are transient network errors at a lower gecko level than feed processing.  do not reopen this.
Status: REOPENED → RESOLVED
Last Resolved: 6 years ago6 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.